> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/powershell-universal/fr/commandes-powershell/sync-udelement.md).

# Sync-UDElement

Sync-UDElement force un ou plusieurs éléments de tableau de bord à actualiser leur contenu, en diffusant optionnellement la mise à jour dans PowerShell Universal.

### Synopsis

Force la mise à jour d'un élément.

### Syntaxe

```powershell
Sync-UDElement [-Id] <String[]> [-Broadcast] [[-ArgumentList] <Object[]>] [-Wait] [[-Timeout] <Int32>] [<CommonParameters>]
```

### Description

Force la mise à jour d'un élément. Tous les éléments ne peuvent pas être mis à jour. Pour les éléments qui ne peuvent pas être mis à jour, encapsulez-les dans New-UDDynamic et mettez celui-ci à jour.

### Paramètres

#### -Id \<String\[]>

L'ID de l'élément à mettre à jour.

```
Required?                    true
Position?                    1
Default value
Accept pipeline input?       true (ByValue)
Aliases
Accept wildcard characters?  false
```

#### -Broadcast

Indique s'il faut diffuser la mise à jour à tous les clients.

```
Required?                    false
Position?                    named
Default value                False
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -ArgumentList \<Object\[]>

La liste d'arguments à passer à l'élément.

```
Required?                    false
Position?                    2
Default value
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Wait

```
Required?                    false
Position?                    named
Default value                False
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Timeout

```
Required?                    false
Position?                    3
Default value                5000
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### Paramètres communs

Cette applet de commande prend en charge les paramètres communs : Verbose, Debug, ErrorAction, ErrorVariable, WarningAction, WarningVariable, OutBuffer, PipelineVariable et OutVariable. Pour plus d'information, consultez [about\_CommonParameters](https://go.microsoft.com/fwlink/?LinkID=113216).

### Sorties

### Exemples

#### Exemple 1 : synchroniser un élément

```powershell
New-UDDynamic -Id 'sync1' -Content {
   New-UDTypography (Get-Random)
}
New-UDButton -Text 'Refresh' -OnClick {
   Sync-UDElement 'sync1'
} -Id 'syncButton1'
```

Synchronise un élément.

#### Exemple 2 : diffusion

```powershell
New-UDDynamic -Id 'sync2' -Content {
   New-UDTypography (Get-Random)
}
New-UDButton -Text 'Refresh' -OnClick {
   Sync-UDElement 'sync2' -Broadcast
} -Id 'syncButton2'
```

Synchronise un élément et le diffuse à tous les tableaux de bord connectés.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.devolutions.net/powershell-universal/fr/commandes-powershell/sync-udelement.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
